College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
drives
    /drivesget
plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
teams
    /teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
conferences
    /conferencesget
venues
    /venuesget
coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
rankings
    /rankingsget
betting
    /linesget
recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
draft
    /draft/teamsget/draft/positionsget/draft/picksget
adjustedMetrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

metrics

Download schema

Predicted points, PPA (EPA), win probability, and expected points metrics.


GET
https://api.collegefootballdata.com
/ppa/predicted
Bearer

Returns predicted points values by down and distance.

query Parameters

down
​integer · int32 · required

Down number.

distance
​integer · int32 · required

Distance to gain, in yards.

Responses

200

Ok

​PredictedPointsValue[]
PredictedPointsValue
yardLine
​integer · int32 · required
predictedPoints
​number · double · required
GET/ppa/predicted
curl 'https://api.collegefootballdata.com/ppa/predicted?down=<number>&distance=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "yardLine": 0, "predictedPoints": 0 } ]
json
application/json

GET
https://api.collegefootballdata.com
/ppa/teams
Bearer

Returns team Predicted Points Added (PPA) metrics by season.

query Parameters

year
​integer · int32

Season year. Required unless team is specified.

team
​string

Team name. Required unless year is specified.

conference
​string

Conference abbreviation.

excludeGarbageTime
​boolean

Excludes garbage-time plays when true.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
iii

Responses

200

Ok

​TeamSeasonPredictedPointsAdded[]
TeamSeasonPredictedPointsAdded
season
​integer · int32 · required
conference
​string · required
team
​string · required
​object · required
​object · required
GET/ppa/teams
curl https://api.collegefootballdata.com/ppa/teams \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "conference": "conference", "team": "team", "offense": { "cumulative": { "rushing": 0, "passing": 0, "total": 0 }, "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rushing": 0, "passing": 0, "overall": 0 }, "defense": { "cumulative": { "rushing": 0, "passing": 0, "total": 0 }, "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rushing": 0, "passing": 0, "overall": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/ppa/games
Bearer

Returns team Predicted Points Added (PPA) metrics by game.

query Parameters

year
​integer · int32 · required

Season year.

week
​integer · int32

Week number.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name.

conference
​string

Conference abbreviation.

excludeGarbageTime
​boolean

Excludes garbage-time plays when true.

classification
​DivisionClassification · enum

Division classification. Defaults to fbs.

Enum values:
fbs
fcs
ii
iii

Responses

200

Ok

​TeamGamePredictedPointsAdded[]
TeamGamePredictedPointsAdded
gameId
​integer · int32 · required
season
​integer · int32 · required
week
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string · required
conference
​string · required
opponent
​string · required
​object · required
​object · required
GET/ppa/games
curl 'https://api.collegefootballdata.com/ppa/games?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "gameId": 0, "season": 0, "week": 0, "seasonType": "regular", "team": "team", "conference": "conference", "opponent": "opponent", "offense": { "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rushing": 0, "passing": 0, "overall": 0 }, "defense": { "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rushing": 0, "passing": 0, "overall": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/ppa/players/games
Bearer

Returns player Predicted Points Added (PPA) metrics by game.

query Parameters

year
​integer · int32 · required

Season year.

week
​integer · int32

Week number. Required unless team is specified.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name. Required unless week is specified.

position
​string

Player position abbreviation.

playerId
​string

Player ID.

threshold
​number · double

Minimum number of plays.

excludeGarbageTime
​boolean

Excludes garbage-time plays when true.

Responses

200

Ok

​PlayerGamePredictedPointsAdded[]
PlayerGamePredictedPointsAdded
season
​integer · int32 · required
week
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
id
​string · required
name
​string · required
position
​string · required
team
​string · required
opponent
​string · required
​object · required
GET/ppa/players/games
curl 'https://api.collegefootballdata.com/ppa/players/games?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "week": 0, "seasonType": "regular", "id": "id", "name": "name", "position": "position", "team": "team", "opponent": "opponent", "averagePPA": { "rush": 0, "pass": 0, "all": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/ppa/players/season
Bearer

Returns player Predicted Points Added (PPA) metrics by season.

query Parameters

year
​integer · int32

Season year. Required unless playerId is specified.

conference
​string

Conference abbreviation.

team
​string

Team name.

position
​string

Player position abbreviation.

playerId
​string

Player ID. Required unless year is specified.

threshold
​number · double

Minimum number of plays.

excludeGarbageTime
​boolean

Excludes garbage-time plays when true.

Responses

200

Ok

​PlayerSeasonPredictedPointsAdded[]
PlayerSeasonPredictedPointsAdded
season
​integer · int32 · required
id
​string · required
name
​string · required
position
​string · required
team
​string · required
conference
​string · required
​object · required
​object · required
GET/ppa/players/season
curl https://api.collegefootballdata.com/ppa/players/season \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "id": "id", "name": "name", "position": "position", "team": "team", "conference": "conference", "averagePPA": { "passingDowns": 0, "standardDowns": 0, "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rush": 0, "pass": 0, "all": 0 }, "totalPPA": { "passingDowns": 0, "standardDowns": 0, "thirdDown": 0, "secondDown": 0, "firstDown": 0, "rush": 0, "pass": 0, "all": 0 } } ]
json
application/json

GET
https://api.collegefootballdata.com
/metrics/wp
Bearer

Returns play-by-play win probabilities for a game.

query Parameters

gameId
​integer · int32 · required

Game ID.

Responses

200

Ok

​PlayWinProbability[]
PlayWinProbability
gameId
​integer · int32 · required
playId
​string · required
playText
​string · required
homeId
​integer · int32 · required
home
​string · required
awayId
​integer · int32 · required
away
​string · required
spread
​number · double · required
homeBall
​boolean · required
homeScore
​integer · int32 · required
awayScore
​integer · int32 · required
yardLine
​integer · int32 · required
down
​integer · int32 · required
distance
​integer · int32 · required
homeWinProbability
​number · double · required
playNumber
​integer · int32 · required
GET/metrics/wp
curl 'https://api.collegefootballdata.com/metrics/wp?gameId=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "gameId": 0, "playId": "playId", "playText": "playText", "homeId": 0, "home": "home", "awayId": 0, "away": "away", "spread": 0, "homeBall": true, "homeScore": 0, "awayScore": 0, "yardLine": 0, "down": 0, "distance": 0, "homeWinProbability": 0, "playNumber": 0 } ]
json
application/json

GET
https://api.collegefootballdata.com
/metrics/wp/pregame
Bearer

Returns pregame win probabilities.

query Parameters

year
​integer · int32

Season year.

week
​integer · int32

Week number.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
team
​string

Team name.

Responses

200

Ok

​PregameWinProbability[]
PregameWinProbability
season
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
week
​integer · int32 · required
gameId
​integer · int32 · required
homeTeam
​string · required
awayTeam
​string · required
spread
​number · double · required
homeWinProbability
​number · double · required
GET/metrics/wp/pregame
curl https://api.collegefootballdata.com/metrics/wp/pregame \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "seasonType": "regular", "week": 0, "gameId": 0, "homeTeam": "homeTeam", "awayTeam": "awayTeam", "spread": 0, "homeWinProbability": 0 } ]
json
application/json

GET
https://api.collegefootballdata.com
/metrics/fg/ep
Bearer

Returns expected points values for field goal attempts.

Responses

200

Ok

​FieldGoalEP[]
FieldGoalEP
yardsToGoal
​integer · int32 · required
distance
​integer · int32 · required
expectedPoints
​number · double · required
GET/metrics/fg/ep
curl https://api.collegefootballdata.com/metrics/fg/ep \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "yardsToGoal": 0, "distance": 0, "expectedPoints": 0 } ]
json
application/json

ratingsstats